/**************************************************************************************************
 *****                                                                                        *****
 *****  Name: KL25Z_irq_prio.cpp                                                              *****
 *****  Date: 14/08/2013                                                                      *****
 *****  Auth: Frank Vannieuwkerke                                                             *****
 *****  Func: library for changing all IRQ priorities at once                                 *****
 *****                                                                                        *****
 **************************************************************************************************/

#include "LPC1768_irq_prio.h"

void NVIC_set_all_irq_priorities(int prio)
{
//    NVIC_SetPriority(NonMaskableInt_IRQn,prio); //!! NOT POSSIBLE - FIXED TO 0
//    NVIC_SetPriority(HardFault_IRQn,prio);      //!! NOT POSSIBLE - FIXED TO 0
    NVIC_SetPriority(SVCall_IRQn,prio);
    NVIC_SetPriority(PendSV_IRQn,prio);
    NVIC_SetPriority(SysTick_IRQn,prio);
    NVIC_SetPriority(DMA_IRQn,prio);
    NVIC_SetPriority(PWM1_IRQn,prio);
    NVIC_SetPriority(PLL0_IRQn,prio);
    NVIC_SetPriority( EINT0_IRQn,prio);
    NVIC_SetPriority( EINT1_IRQn,prio);
    NVIC_SetPriority( EINT2_IRQn,prio);
    NVIC_SetPriority( EINT3_IRQn,prio);
    NVIC_SetPriority(BOD_IRQn,prio);
    NVIC_SetPriority(I2C0_IRQn,prio);
    NVIC_SetPriority(I2C1_IRQn,prio);
    NVIC_SetPriority(I2C2_IRQn,prio);
    NVIC_SetPriority(SPI_IRQn,prio);
    NVIC_SetPriority(SSP0_IRQn,prio);
    NVIC_SetPriority(SSP1_IRQn,prio);
    NVIC_SetPriority(UART0_IRQn,prio);
    NVIC_SetPriority(UART1_IRQn,prio);
    NVIC_SetPriority(UART2_IRQn,prio);
    NVIC_SetPriority(ADC_IRQn,prio);
    NVIC_SetPriority(CAN_IRQn,prio);
    NVIC_SetPriority(TIMER0_IRQn,prio);
    NVIC_SetPriority(TIMER1_IRQn,prio);
    NVIC_SetPriority(TIMER2_IRQn,prio);
    NVIC_SetPriority(TIMER3_IRQn,prio);
    NVIC_SetPriority(RTC_IRQn,prio);
    NVIC_SetPriority(I2S_IRQn,prio);
    NVIC_SetPriority(ENET_IRQn,prio);
    NVIC_SetPriority(RIT_IRQn,prio);
    NVIC_SetPriority(USB_IRQn,prio);
    NVIC_SetPriority(QEI_IRQn,prio);
    NVIC_SetPriority(MCPWM_IRQn,prio);
    NVIC_SetPriority(PLL1_IRQn,prio);
    NVIC_SetPriority(USBActivity_IRQn,prio);
    NVIC_SetPriority(CANActivity_IRQn,prio);
 //   NVIC_SetPriority(PORTA_IRQn,prio);
 //   NVIC_SetPriority(PORTD_IRQn,prio);
}




